package egovframework.com.its.web.server.util;

import egovframework.com.its.web.server.vo.RoadVertexArrVO;

import java.util.ArrayList;
import java.util.List;

public class TrafficData {

    static List<RoadVertexArrVO> roadVertexArr = new ArrayList<>();
    static List<RoadVertexArrVO> ifscVertexArr = new ArrayList<>();
    static List<RoadVertexArrVO> linkVertexArr = new ArrayList<>();

    public static List<RoadVertexArrVO> getRoadVertexArr(){
        return roadVertexArr;
    }
    public static List<RoadVertexArrVO> getIfscVertexArr(){
        return ifscVertexArr;
    }
    public static List<RoadVertexArrVO> getLinkVertexArr(){
        return linkVertexArr;
    }

    public static void setRoadVertexArr(List<RoadVertexArrVO> roadVertexArrVo){
        List <RoadVertexArrVO> tempList = new ArrayList<>();
        tempList.addAll(roadVertexArrVo);
        roadVertexArr = tempList;
    }
    public static void setIfscVertexArr(List<RoadVertexArrVO> ifscVertexArrVo){
        List <RoadVertexArrVO> tempList = new ArrayList<>();
        tempList.addAll(ifscVertexArrVo);
        ifscVertexArr = tempList;
    }
    public static void setLinkVertexArr(List<RoadVertexArrVO> linkVertexArrVo){
        List <RoadVertexArrVO> tempList = new ArrayList<>();
        tempList.addAll(linkVertexArrVo);
        linkVertexArr = tempList;
    }

}
